@import 'tailwindcss/base';
@import 'tailwindcss/components';
@import 'tailwindcss/utilities';

.logofont {
    font-family: Quicksand, sans-serif;
}

h1, .nuxt-content h1 {
    @apply text-3xl sm:text-4xl font-semibold mb-2 mt-1 text-black dark:text-white;
}

h2, .nuxt-content h2 {
    @apply text-2xl sm:text-3xl font-semibold mb-4 mt-6 text-black dark:text-white;
}

h3, .nuxt-content h3 {
    @apply text-xl sm:text-2xl font-semibold mb-4 mt-6 text-black dark:text-white;
}

h4, .nuxt-content h4 {
    @apply text-lg sm:text-xl font-semibold mb-2 mt-1 text-black dark:text-white;
}

.nuxt-content a {
    @apply font-bold text-green-500 dark:text-green-400;
}

/*
 * Tooltips
 */
.tooltip {
    @apply absolute rounded text-sm shadow-lg px-2 py-1 bg-green-500 text-white bg-opacity-90 dark:bg-opacity-80;
    opacity: 0;
    transition: opacity 0.6s ease-in-out;
}

.has-tooltip:hover .tooltip {
    @apply z-50;
    opacity: 1;
}
